PROGRAM_NAME='VRQ Main v1_1_0'

DEFINE_VARIABLE
#if_defined vdvVRQ1
VRQ_COMM_DATA VRQ_COMM_1
#end_if


DEFINE_START

/**********************************************************************
 Between the #if_defined and #end_if below, set the IP Address and
 IP Port used to communicate with the VideoRequest.  You can find
 the IP Address by going to Menu->System Information on the VideoReQuest
 GUI.  The IP Port is always 3663 unless you know you've changed it
 through the Webserver.
 
 If you choose to use serial control, set the IP Address to '0.0.0.0'
 and set the Baud Rate to the baud rate you wish to use.  The
 VideoReQuest is capable of communicating at the following Baud Rates:
     9600, 19200, 38400, 57600(not recommended)
 **NOTE:  All Baud Rates EXCEPT 9600 require RTS/CTS Hardware Flow
          Control.  This setting is all handled in the module.
          No matter which Baud Rate you use, be sure that your serial
          cable is a Female->Female, NULL Modem cable with ONLY pins
          2,3,5,7,8 connected in the following configuration:
              VRQ      AMX
               2  <-->  3
               3  <-->  2
               5  <-->  5
               7  <-->  8
               8  <-->  7
               
          If you have all 9 pins connected, as with a standard
          store-bought RS-232 cable, it WILL NOT WORK!
**********************************************************************/
#if_defined vdvVRQ1
VRQ_COMM_1.BAUD_RATE = 0;
VRQ_COMM_1.IP_ADDRESS = '0.0.0.0'
VRQ_COMM_1.IP_PORT = 3663;
VRQ_COMM_1.WEB_PORT = 2992;
VRQ_COMM_1.VIDEO_MODE[1] = 1;
VRQ_COMM_1.VIDEO_MODE[2] = 0;
VRQ_COMM_1.VIDEO_MODE[3] = 0;
VRQ_COMM_1.VIDEO_MODE[4] = 0;
VRQ_COMM_1.VIDEO_MODE[5] = 0;
#end_if
